petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSComputeIFunctionLinear

Evaluate the left hand side via the user-provided Jacobian, for linear problems only

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeIFunctionLinear(TS ts,PetscReal t,Vec U,Vec Udot,Vec F,void *ctx)

Collective on TS

### Input Arguments

| ts | - time stepping context
| t | - time at which to evaluate
| U | - state at which to evaluate
| Udot | - time derivative of state vector
| ctx | - context

### Output Arguments

F -left hand side

### Notes

The assumption here is that the left hand side is of the form A*Udot (and not A*Udot + B*U). For other cases, the user is required to write their own TSComputeIFunction. This function is intended to be passed to TSSetIFunction() to evaluate the left hand side for linear problems. The matrix (and optionally the evaluation context) should be passed to TSSetIJacobian().

Note that using this function is NOT equivalent to using TSComputeRHSFunctionLinear() since that solves Udot = A U

### See Also

TSSetIFunction(), TSSetIJacobian(), TSComputeIJacobianConstant(), TSComputeRHSFunctionLinear()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages